<?xml version="1.0" encoding="utf-8"?>
<!-- edited with XMLSpy v2014 (x64) (http://www.altova.com) by Group IT (PostNL Groep) -->
<!--
major/ minor versie:	2.0
datum aanpassing:	19-05-2014
datum productie:		09-06-2014
aanpassing				PackingNoteContent is gebaseerd op co1:CharacteristicValuesType ipv co1:CharacteristicType
								Dit is een major change; dus het versienummer is verhoogd + de namespace heeft nr 2 ipv 1.
								Ook een optioneel veld toegevoegd, nl. BaseQuantity als element van WarehouseDeliveryLine.
								
gemaakt door			NM, GW
doelgroep					Commercie, Fulfillment

major/ minor versie:	1.1
datum aanpassing:	28-04-2014
datum productie:		
aanpassing				2 datum velden toegevoegd
gemaakt door			NM, GW
doelgroep					Commercie, Fulfillment

major/ minor versie:	1.0
datum creatie:			08-10-2013
datum productie:		27-11-2013
gemaakt door			NM, GW
doelgroep					Commercie, Fulfillment


  	
     -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:postnl/mail/warehousedelivery/2" xmlns:co1="urn:postnl/mail/components/1" xmlns:me1="urn:postnl/mail/meta/1" xmlns:fi1="urn:postnl/mail/fields1" targetNamespace="urn:postnl/mail/warehousedelivery/2" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="urn:postnl/mail/components/1" schemaLocation="../../Common/OAGI/Components/Components1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/meta/1" schemaLocation="../../Common/OAGI/Components/Meta1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/fields1" schemaLocation="../../Common/OAGI/Components/Fields1.xsd"/>
	<xsd:element name="WarehouseDelivery" type="WarehouseDeliveryType">
		<xsd:annotation>
			<xsd:documentation>A warehouse delivery is send to a warehouse and requests changes on the inventory of a storage location:
- an inbound delivery results in goods being delivered by a supplier and put in a storage location
- an outbound delivery results in goods being taken from storage location and shipped to a customer
</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:complexType name="WarehouseDeliveryType">
		<xsd:complexContent>
			<xsd:extension base="co1:HeaderType">
				<xsd:sequence>
					<xsd:element ref="co1:Status" minOccurs="0"/>
					<xsd:element ref="fi1:DeliveryCode" minOccurs="0"/>
					<xsd:element ref="co1:WarehouseIdentification" minOccurs="0"/>
					<xsd:element ref="fi1:ScheduledDeliveryDateTime" minOccurs="0" maxOccurs="1"/>
					<xsd:element ref="fi1:ActualDeliveryDateTime" minOccurs="0" maxOccurs="1"/>
					<xsd:element ref="fi1:PlannedIssueDateTime" minOccurs="0"/>
					<xsd:element ref="fi1:ActualIssueDateTime" minOccurs="0"/>
					<xsd:element ref="co1:SalesOrderReference" minOccurs="0"/>
					<xsd:element ref="co1:ShipToParty" minOccurs="0"/>
					<xsd:element ref="fi1:CommunicationLanguage" minOccurs="0"/>
					<xsd:element ref="co1:QualifiedAmount" minOccurs="0" maxOccurs="unbounded"/>
					<xsd:element name="PackingNoteContent" type="co1:CharacteristicValuesType" minOccurs="0" maxOccurs="unbounded"/>
					<xsd:element name="WarehouseDeliveryLine" type="WarehouseDeliveryLineType" minOccurs="0" maxOccurs="unbounded"/>
					<xsd:element name="PackingUnit" type="PackingUnitType" minOccurs="0" maxOccurs="unbounded"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="WarehouseDeliveryLineType">
		<xsd:sequence>
			<xsd:element ref="fi1:LineNumber" minOccurs="0"/>
			<xsd:element ref="co1:Status" minOccurs="0"/>
			<xsd:element ref="co1:ItemID" minOccurs="0"/>
			<xsd:element ref="fi1:Quantity" minOccurs="0"/>
			<xsd:element ref="fi1:BaseQuantity" minOccurs="0"/>
			<xsd:element ref="co1:QualifiedAmount" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="co1:WarehouseIdentification" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="PackingUnitType">
		<xsd:sequence>
			<xsd:element ref="fi1:PackingUnitID" minOccurs="0"/>
			<xsd:element name="WarehouseDeliveryLine" type="WarehouseDeliveryLineType" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="fi1:TrackingID" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>
</xsd:schema>
